Subject: Re: spurious updates

From: Mats Dufberg <[email-masked]>
Date: Wed, 13 Feb 2002 00:19:30 +0100 (CET)

On Jan 28, 2002, 17:51 (-0800) Randy Bush <[email-masked]> wrote:

> so why are all these spurious updates in my logs?  many hundreds a day.

The official master server of SE was nearly drown by dynamic update
attempts from Win2000 machines when Win2000 was released. The solution was
to move the official master (the server in the SOA record) to a different
machine that could handle the load, and pretty much did not do much else
but refusing the attempts.

The official master gets a few hundred attempts per minute.

Mats

----------------------------------------------------------------------
Mats Dufberg <[email-masked]>
----------------------------------------------------------------------

---

From: Jim Reid <[email-masked]>
Date: Tue, 12 Feb 2002 15:57:29 -0800

>>>>> "Mats" == Mats Dufberg <[email-masked]> writes:

    Mats> The official master gets a few hundred attempts per minute.

Can't NIC-SE sue Microsoft about this? Denial of service, burning
bandwidth, server load, etc, etc.

---

From: Robert Elz <[email-masked]>
Date: Wed, 13 Feb 2002 17:52:48 +0700

Date:        Wed, 13 Feb 2002 00:19:30 +0100 (CET)
    From:        Mats Dufberg <[email-masked]>
    Message-ID:  <[email-masked]>

  | The official master server of SE was nearly drown by dynamic update
  | attempts from Win2000 machines when Win2000 was released.

I saw this as well, but ...

  | The solution was to move the official master

my solution was just to stop logging the error message.   The server
could easily handle the load of ignoring the noise update requests,
what it was failing on was attempting to tell me about it (every time).

kre

---

From: Michael Milligan <[email-masked]>
Date: Mon, 25 Feb 2002 00:44:02 -0700

Randy Bush wrote:
> 28-Jan-2002 17:41:57.596 update: info: client 63.196.106.137#27581: updating zone 'psg.com/IN': update failed: LT-MURRAY.psg.com/A: 'RRset exists (value dependent)' prerequisite not satisfied (NXRRSET)
> 28-Jan-2002 17:41:57.765 security: error: client 63.196.106.137#27584: update 'psg.com/IN' denied
> 28-Jan-2002 17:42:09.114 security: error: client 209.190.8.131#44326: update 'psg.com/IN' denied
> 28-Jan-2002 17:42:19.144 security: error: client 209.190.8.131#44331: update 'psg.com/IN' denied
> 28-Jan-2002 17:44:31.118 security: error: client 196.6.129.83#1180: update forwarding denied
> 28-Jan-2002 17:47:06.549 security: error: client 209.190.8.131#44336: update 'psg.com/IN' denied
> 28-Jan-2002 17:47:08.570 security: error: client 209.190.8.131#44340: update 'psg.com/IN' denied

Too bad you really are supporting dynamic update.  Otherwise, the minor SOA 
change below would work wonderfully to tell W2K clients to "go away", almost 
surely the source of these update attempts.  Mr. Kwan says it shouldn't 
cause W2K any problems...  and it hasn't far as I can tell.  ;-)  Of course, 
it only works because W2K doesn't quite follow RFC 2136 Section 4.

$ORIGIN psg.com.
@       IN SOA localhost hostmaster.psg.com. 200201281 86400 3600 2592000 1440
localhost  A  127.0.0.1

Regards,
Mike

--
Michael Milligan - Verisign Global Registry - [email-masked]